/*$
	Written by Balint Seeber (balint@spench.net)
$*/

// dialogMain.h : header file
//

#pragma once

#include "afxwin.h"
#include "afxcmn.h"

// CdialogMain dialog
class CdialogMain : public CDialog
{
// Construction
public:
	CdialogMain(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_CODECOUNTER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
private:
	int iTotalTotal;
	int iTotalCode;
	int iTotalComments;
	int iFiles;
	int iTotalFixMes;
public:
	afx_msg void OnBnClickedButtonAdddirectory();
	void _RecurseDirectories(CString strPath);
	CListBox m_cntrlList_Directories;
	CString m_strExtensions;
	afx_msg void OnBnClickedButtonCount();
	afx_msg void OnDestroy();
	CListCtrl m_cntrlList_Files;
	CString m_strTotals;
	afx_msg void OnHdnItemclickListFiles(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMDblclkListFiles(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLvnKeydownListFiles(NMHDR *pNMHDR, LRESULT *pResult);
};
